Subject: Re: [Sip] Re: Offer by the callee

From: [email-masked]
Date: Wed, 20 Mar 2002 08:41:14 +0100

Hi Gonzalo,

Thank you for your answer
You are right, but sending a held SDP does not prevent the calling party to
start resource reservation, but only to send media.
I agree with you that normally, a port number to zero indicates refusal of
the media stream. Nevertheless, according to Offer/Answer draft, all port
numbers equal to zero is used also to announce capabilities (section 9),
and very often it is used to say just "don't use this media".

What I need here is to give to the answerer the possibility to say "Mr.the
Offerer, I'm not rejecting your Invite, but I'd like to send you a new
offer right now, so it is useless to start resource reservation before
receiving this new offer"

Best regards
Juan Carlos

Gonzalo Camarillo <[email-masked]>@ietf.org on
20/03/2002 05:01:02

Sent by:  [email-masked]

To:   Juan-Carlos ROJAS/FR/ALCATEL@ALCATEL
cc:   Jonathan Rosenberg <[email-masked]>, [email-masked]
Subject:  [Sip] Re: Offer by the callee

Hi,

Setting the port number to zero means refusal of the stream, so you are
risking that the caller sends a CANCEL, since you have refused all the
media streams. A better solution would be to send a held SDP
(a=inactive).

Regards,

Gonzalo

[email-masked] wrote:
>
> Hello,
>
> I'm trying to connect the offer/answer, update and manyfolks drafts for
the
> following scenario:
> - Alice sends an INVITE to Bob with "offer-1"
> - Bob wants to make an "offer-2" to Alice, before the completion of the
> session establishment
> - Bob would like to ask Alice to start resource reservation only based on
> the acceptation of "offer-2", and not before (in fact Bob knows that it
is
> useless to start resource reservation based on offer-1, because he knows
he
> will send immediatly a new offer-2,  but he is obliged to wait for Prack
> before)
>
> The Update draft defines the response 155 to allow the answerer (the
callee
> in our case) to request "Mr. the calling, please *send me* a new offer",
> but there is no way for the same callee to announce "Mr. the calling, *I
> want to send you* a new offer right now".
> So, one possible way to achieve that is that the callee sends an answer
to
> the original offer but disabling all the media (in order to avoid to
start
> resource reservation), and next proposing a new offer, as described in
the
> call flow below (assume for the example that they are using end-to-end
> resource reservation, but please don't generate a new debate on this
> topic):
>
>    Alice
> Bob
>                                       INVITE (offer-1)
>        ----------------------------------------------------------------->
>       183 (answer-to-offer-1, all port numbers to zero)
>       <-----------------------------------------------------------------
>                                          PRACK
>        ----------------------------------------------------------------->
>                                       200 PRACK
>       <-----------------------------------------------------------------
>                  UPDATE (offer-2, status-type=e2e)
>       <-----------------------------------------------------------------
>                   200 UPDATE (answer-to-offer-2)
>        ----------------------------------------------------------------->
>
>    <========== Resource Reservation ==========>
>
>            UPDATE (current-status = desired-status)
>        ----------------------------------------------------------------->
>                                       200 UPDATE
>       <-----------------------------------------------------------------
>                                         200 INVITE
>       <-----------------------------------------------------------------
>                                               ACK
>        ----------------------------------------------------------------->
>
> Is this scenario compliant with the drafts Offer/Answer, Update and
> Manyfolks ?
>
> Thank you for your answer
> Best regards
> Juan Carlos

--
Gonzalo Camarillo                    Phone :   +1 212 939 71 71
Columbia University                  Mobile:  +358 40 702 35 35
472 Computer Science Building        Fax   :  +358  9 299 30 52
1214 Amsterdam Ave., Mail Code 0401  http://www.hut.fi/~gonzalo
New York, NY 10027
USA                              [email-masked]

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Gonzalo Camarillo <[email-masked]>
Date: Thu, 21 Mar 2002 06:30:42 +0200

Hi,

what do you want to put in the offer-2 to be sent that you cannot put in
the answer-1? Understanding the scenario you have in mind would be
helpful...

Gonzalo